<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Puppeteer](./puppeteer.puppeteer.md) &gt; [connect](./puppeteer.puppeteer.connect.md)

## Puppeteer.connect() method

This method attaches Puppeteer to an existing browser instance.

<b>Signature:</b>

```typescript
connect(options: BrowserOptions & {
        browserWSEndpoint?: string;
        browserURL?: string;
        transport?: ConnectionTransport;
        product?: string;
    }): Promise<Browser>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | [BrowserOptions](./puppeteer.browseroptions.md) &amp; { browserWSEndpoint?: string; browserURL?: string; transport?: ConnectionTransport; product?: string; } | Set of configurable options to set on the browser. |

<b>Returns:</b>

Promise&lt;[Browser](./puppeteer.browser.md)<!-- -->&gt;

Promise which resolves to browser instance.

## Remarks


